Improve this Doc View Source

## Overview

Specify custom behavior on mousemove event.

## Directive Info

- This directive executes at priority level 0.

## Usage

- as attribute:

      <ANY
        ng-mousemove="expression">
      ...
      </ANY>

### Arguments

Param | Type | Details
--- | --- | ---
ngMousemove | expression | Expression to evaluate upon mousemove. (Event object is available as `$event`)

## Example

    <button ng-mousemove="count = count + 1" ng-init="count=0">
      Increment (when mouse moves)
    </button>
    count: {{count}}